=== schemas/CMakeLists.txt ===
include (GSettings)
add_schema ("com.github.philip-scott.spice-up.gschema.xml")
