=== src/Tests/CMakeLists.txt ===
add_subdirectory (Canvas)
add_subdirectory (ColorButton)
add_subdirectory (ColorItem)
add_subdirectory (ImageItem)
add_subdirectory (TextItem)
