## spice-up 1.8.2%2Bgit20200705

=== debian/control ===
Source: spice-up
Section: editors
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Felipe Escoto <felescoto95@hotmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libgtk-3-dev,
               valac (>= 0.26),
               libgranite-dev,
               libjson-glib-dev,
               libgudev-1.0-dev,
               libevdev-dev,
               libsoup2.4-dev,
               libgee-0.8-dev
Standards-Version: 3.9.6

Package: spice-up
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: Spice-Up
 Create simple and beautiful presentations
