## spice-up 1.8.2+git20200705

=== debian/changelog ===
spice-up (1.8.2+git20200705-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 May 2021 15:05:32 -0400

com.github.philip-scott.spice-up (0.2) UNSTABLE; urgency=low

  * Updated release

 -- Felipe Escoto <felescoto95@hotmail.com>  Tue, 12 Dec 2017 04:52:12 -0600
