=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Enable additional explot mitigation
# (PIE and *full* RELRO at the time of this writing)
#export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ 

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_install:
	dh_install --fail-missing
